diff --git a/akregator/src/librss/tools_p.cpp b/akregator/src/librss/tools_p.cpp
index 72058fa05..baaa6409d 100644
--- a/akregator/src/librss/tools_p.cpp
+++ b/akregator/src/librss/tools_p.cpp
@@ -24,7 +24,7 @@ time_t parseISO8601Date(const TQString &s)
         return 0; // error
 
     // FIXME: imho this is done in KRFCDate::parseDateISO8601() automatically, so we could omit it? -fo
-	if (s.tqfind('T') != -1)
+	if (s.find('T') != -1)
 		return KRFCDate::parseDateISO8601(s);
     else
         return KRFCDate::parseDateISO8601(s + "T12:00:00");
@@ -43,11 +43,11 @@ TQString childNodesAsXML(const TQDomNode& tqparent)
 static TQString plainTextToHtml(const TQString& plainText)
 {
     TQString str(plainText);
-    str.tqreplace("&", "&amp;");
-    str.tqreplace("\"", "&quot;");
-    str.tqreplace("<", "&lt;");
-    //str.tqreplace(">", "&gt;");
-    str.tqreplace("\n", "<br/>");
+    str.replace("&", "&amp;");
+    str.replace("\"", "&quot;");
+    str.replace("<", "&lt;");
+    //str.replace(">", "&gt;");
+    str.replace("\n", "<br/>");
     return str;
 }
 
@@ -84,7 +84,7 @@ static ContentFormat mapTypeToFormat(const TQString& modep, const TQString& type
     xmltypes.append(TQString::fromUtf8("application/xml-dtd"));
     
     
-    if (xmltypes.tqcontains(type)
+    if (xmltypes.contains(type)
         || type.tqendsWith(TQString::fromUtf8("+xml"), false)
         || type.tqendsWith(TQString::fromUtf8("/xml"), false))
         return XML;
@@ -102,7 +102,7 @@ static TQString extractAtomContent(const TQDomElement& e)
     {
         case HTML:
         {
-            const bool hasPre = e.text().tqcontains( "<pre>", false ) || e.text().tqcontains( "<pre ", false );
+            const bool hasPre = e.text().contains( "<pre>", false ) || e.text().contains( "<pre ", false );
             return KCharsets::resolveEntities( hasPre ? e.text() : e.text().simplifyWhiteSpace() );
         }
         case Text:
@@ -132,10 +132,10 @@ TQString extractNode(const TQDomNode &tqparent, const TQString &elemName, bool i
         }        
         else // check for HTML; not necessary for Atom:content
         {
-            bool hasPre = result.tqcontains("<pre>", false) || result.tqcontains("<pre ", false);
-            bool hasHtml = hasPre || result.tqcontains("<");	// FIXME: test if we have html, should be more clever -> regexp
+            bool hasPre = result.contains("<pre>", false) || result.contains("<pre ", false);
+            bool hasHtml = hasPre || result.contains("<");	// FIXME: test if we have html, should be more clever -> regexp
             if(!isInlined && !hasHtml)						// perform nl2br if not a inline elt and it has no html elts
-                    result = result = result.tqreplace(TQChar('\n'), "<br />");
+                    result = result = result.replace(TQChar('\n'), "<br />");
             if(!hasPre)										// strip white spaces if no <pre>
                     result = result.simplifyWhiteSpace();
         }
@@ -151,7 +151,7 @@ TQString extractTitle(const TQDomNode & tqparent)
 
     TQString result = node.toElement().text();
 
-    result = KCharsets::resolveEntities(KCharsets::resolveEntities(result).tqreplace(TQRegExp("<[^>]*>"), "").remove("\\"));
+    result = KCharsets::resolveEntities(KCharsets::resolveEntities(result).replace(TQRegExp("<[^>]*>"), "").remove("\\"));
 	result = result.simplifyWhiteSpace();
 
     if (result.isEmpty())
@@ -177,7 +177,7 @@ static void authorFromString(const TQString& strp, TQString& name, TQString& ema
     {
         TQString all = remail.cap(0);
         email = remail.cap(1);
-        str.tqreplace(all, ""); // remove mail address
+        str.replace(all, ""); // remove mail address
     }
     
     // simplify the rest and use it as name
diff --git a/akregator/src/mk4storage/feedstoragemk4impl.cpp b/akregator/src/mk4storage/feedstoragemk4impl.cpp
index ec0fe7b64..75ee1e2f1 100644
--- a/akregator/src/mk4storage/feedstoragemk4impl.cpp
+++ b/akregator/src/mk4storage/feedstoragemk4impl.cpp
@@ -147,8 +147,8 @@ FeedStorageMK4Impl::FeedStorageMK4Impl(const TQString& url, StorageMK4Impl* main
     kdDebug() << url2 << endl;
     TQString t = url2;
     TQString t2 = url2;
-    TQString filePath = main->archivePath() +"/"+ t.tqreplace("/", "_").tqreplace(":", "_");
-    d->oldArchivePath = KGlobal::dirs()->saveLocation("data", "akregator/Archive/") + t2.tqreplace("/", "_").tqreplace(":", "_") + ".xml";
+    TQString filePath = main->archivePath() +"/"+ t.replace("/", "_").replace(":", "_");
+    d->oldArchivePath = KGlobal::dirs()->saveLocation("data", "akregator/Archive/") + t2.replace("/", "_").replace(":", "_") + ".xml";
 
     d->convert = !TQFile::exists(filePath + ".mk4") && TQFile::exists(d->oldArchivePath);
     d->storage = new c4_Storage((filePath + ".mk4").local8Bit(), true);
@@ -297,7 +297,7 @@ void FeedStorageMK4Impl::addEntry(const TQString& guid)
 {
     c4_Row row;
     d->pguid(row) = guid.ascii();
-    if (!tqcontains(guid))
+    if (!contains(guid))
     {
         d->archiveView.Add(row);
         markDirty();
@@ -305,7 +305,7 @@ void FeedStorageMK4Impl::addEntry(const TQString& guid)
     }
 }
 
-bool FeedStorageMK4Impl::tqcontains(const TQString& guid)
+bool FeedStorageMK4Impl::contains(const TQString& guid)
 {
     return findArticle(guid) != -1;
 }
@@ -789,7 +789,7 @@ void FeedStorageMK4Impl::add(FeedStorage* source)
 
 void FeedStorageMK4Impl::copyArticle(const TQString& guid, FeedStorage* source)
 {
-    if (!tqcontains(guid))
+    if (!contains(guid))
         addEntry(guid);
     setComments(guid, source->comments(guid));
     setCommentsLink(guid, source->commentsLink(guid));
diff --git a/akregator/src/mk4storage/feedstoragemk4impl.h b/akregator/src/mk4storage/feedstoragemk4impl.h
index d13f04def..057ba2e73 100644
--- a/akregator/src/mk4storage/feedstoragemk4impl.h
+++ b/akregator/src/mk4storage/feedstoragemk4impl.h
@@ -50,7 +50,7 @@ class FeedStorageMK4Impl : public FeedStorage
 
         virtual TQStringList articles(const Category& cat);
 
-        virtual bool tqcontains(const TQString& guid);
+        virtual bool contains(const TQString& guid);
         virtual void addEntry(const TQString& guid);
         virtual void deleteArticle(const TQString& guid);
         virtual int comments(const TQString& guid);
diff --git a/akregator/src/mk4storage/metakit/CHANGES b/akregator/src/mk4storage/metakit/CHANGES
index e5d4aad17..1e1761cad 100644
--- a/akregator/src/mk4storage/metakit/CHANGES
+++ b/akregator/src/mk4storage/metakit/CHANGES
@@ -1198,7 +1198,7 @@
 
     Moved C++ member documentation out of "mk4.h" header.  Added
     examples/ directory, with a find.py timing example.  Fixed bugs in
-    new Mk4tcl: "$vw tqfind" and "$vw delete end".  Added tests for new
+    new Mk4tcl: "$vw find" and "$vw delete end".  Added tests for new
     Mk4tcl OO interface: ":mk5object.test".
 
 2000-06-16    Improved modifiable custom viewers
diff --git a/akregator/src/mk4storage/metakit/include/mk4str.inl b/akregator/src/mk4storage/metakit/include/mk4str.inl
index eddbefb8d..4f95fa514 100644
--- a/akregator/src/mk4storage/metakit/include/mk4str.inl
+++ b/akregator/src/mk4storage/metakit/include/mk4str.inl
@@ -131,12 +131,12 @@ d4_inline bool c4_String::operator< (const c4_String& str_) const
 
 d4_inline int c4_String::Find(char ch_) const
 {
-    return tqfind(ch_);
+    return find(ch_);
 }
 
 d4_inline int c4_String::ReverseFind(char ch_) const
 {
-    return rtqfind(ch_);
+    return rfind(ch_);
 }
 
 d4_inline int c4_String::FindOneOf(const char* set_) const
@@ -146,7 +146,7 @@ d4_inline int c4_String::FindOneOf(const char* set_) const
 
 d4_inline int c4_String::Find(const char* sub_) const
 {
-    return tqfind(sub_);
+    return find(sub_);
 }
 
 d4_inline c4_String c4_String::SpanIncluding(const char* set_) const
diff --git a/akregator/src/mk4storage/metakit/src/store.cpp b/akregator/src/mk4storage/metakit/src/store.cpp
index 3a4583378..a32de665c 100644
--- a/akregator/src/mk4storage/metakit/src/store.cpp
+++ b/akregator/src/mk4storage/metakit/src/store.cpp
@@ -161,7 +161,7 @@ void c4_Notifier::Notify()
  *  Manager for persistent storage of view structures.
  *
  *  The storage class uses a view, with additional functionality to be able 
- *  to store and reload the data it tqcontains (including nested subviews).
+ *  to store and reload the data it contains (including nested subviews).
  *
  *  By default, data is loaded on demand, i.e. whenever data which has
  *  not yet been referenced is used for the first time.  Loading is limited
diff --git a/akregator/src/mk4storage/storagemk4impl.cpp b/akregator/src/mk4storage/storagemk4impl.cpp
index af71d97bb..becbd5186 100644
--- a/akregator/src/mk4storage/storagemk4impl.cpp
+++ b/akregator/src/mk4storage/storagemk4impl.cpp
@@ -276,7 +276,7 @@ void StorageMK4Impl::slotCommit()
 
 FeedStorage* StorageMK4Impl::archiveFor(const TQString& url)
 {
-    if (!d->feeds.tqcontains(url))
+    if (!d->feeds.contains(url))
     {
         FeedStorage* fs = new FeedStorageMK4Impl(url, this);
         d->feeds[url] = fs;
diff --git a/akregator/src/nodelist.cpp b/akregator/src/nodelist.cpp
index edea9c6e2..1ed274d1c 100644
--- a/akregator/src/nodelist.cpp
+++ b/akregator/src/nodelist.cpp
@@ -216,7 +216,7 @@ int NodeList::generateID()
 void NodeList::slotNodeAdded(TreeNode* node)
 {
     Folder* tqparent = node->tqparent();
-    if ( !node || !d->flatList.tqcontains(tqparent) || d->flatList.tqcontains(node) )
+    if ( !node || !d->flatList.contains(tqparent) || d->flatList.contains(node) )
         return;
 
     addNode(node, false);
@@ -224,7 +224,7 @@ void NodeList::slotNodeAdded(TreeNode* node)
 
 void NodeList::slotNodeDestroyed(TreeNode* node)
 {
-    if ( !node || !d->flatList.tqcontains(node) )
+    if ( !node || !d->flatList.contains(node) )
         return;
 
     removeNode(node);
@@ -232,7 +232,7 @@ void NodeList::slotNodeDestroyed(TreeNode* node)
 
 void NodeList::slotNodeRemoved(Folder* /*tqparent*/, TreeNode* node)
 {
-    if ( !node || !d->flatList.tqcontains(node) )
+    if ( !node || !d->flatList.contains(node) )
         return;
 
     removeNode(node);
diff --git a/akregator/src/pageviewer.cpp b/akregator/src/pageviewer.cpp
index 8d10256cd..0392535cf 100644
--- a/akregator/src/pageviewer.cpp
+++ b/akregator/src/pageviewer.cpp
@@ -390,7 +390,7 @@ void PageViewer::slotPaletteOrFontChanged()
     if ( !obj ) // not all views have a browser extension !
         return;
     
-    int id = obj->tqmetaObject()->tqfindSlot("reparseConfiguration()");
+    int id = obj->tqmetaObject()->findSlot("reparseConfiguration()");
     if (id == -1)
         return;
     TQUObject o[1];
diff --git a/akregator/src/pageviewer.rc b/akregator/src/pageviewer.rc
index a7b98fee9..dd44ee368 100644
--- a/akregator/src/pageviewer.rc
+++ b/akregator/src/pageviewer.rc
@@ -17,7 +17,7 @@
   <Action name="viewer_copy"/>
   <Action name="selectAll"/>
   <Separator/>
-  <Action name="tqfind"/>
+  <Action name="find"/>
   <Action name="findNext"/>
   <Merge/>
 </Menu>
diff --git a/akregator/src/plugin.cpp b/akregator/src/plugin.cpp
index 599d3972c..495dabc38 100644
--- a/akregator/src/plugin.cpp
+++ b/akregator/src/plugin.cpp
@@ -25,7 +25,7 @@ Plugin::addPluginProperty( const TQString& key, const TQString& value )
 TQString
 Plugin::pluginProperty( const TQString& key )
 {
-    if ( m_properties.tqfind( key.lower() ) == m_properties.end() )
+    if ( m_properties.find( key.lower() ) == m_properties.end() )
         return "false";
 
     return m_properties[key.lower()];
@@ -35,7 +35,7 @@ Plugin::pluginProperty( const TQString& key )
 bool
 Plugin::hasPluginProperty( const TQString& key )
 {
-    return m_properties.tqfind( key.lower() ) != m_properties.end();
+    return m_properties.find( key.lower() ) != m_properties.end();
 }
 
 }
diff --git a/akregator/src/progressmanager.cpp b/akregator/src/progressmanager.cpp
index 6ef94f4c9..931b04766 100644
--- a/akregator/src/progressmanager.cpp
+++ b/akregator/src/progressmanager.cpp
@@ -102,7 +102,7 @@ void ProgressManager::slotNodeAdded(TreeNode* node)
     Feed* feed = dynamic_cast<Feed*>(node);
     if (feed)
     {
-        if (!d->handlers.tqcontains(feed))
+        if (!d->handlers.contains(feed))
         d->handlers[feed] = new ProgressItemHandler(feed);
         connect(feed, TQT_SIGNAL(signalDestroyed(TreeNode*)), this, TQT_SLOT(slotNodeDestroyed(TreeNode*)));
     }
diff --git a/akregator/src/simplenodeselector.cpp b/akregator/src/simplenodeselector.cpp
index 57612bd47..c4e91e5a6 100644
--- a/akregator/src/simplenodeselector.cpp
+++ b/akregator/src/simplenodeselector.cpp
@@ -185,7 +185,7 @@ void SimpleNodeSelector::slotItemSelected(TQListViewItem* item)
 
 void SimpleNodeSelector::slotNodeDestroyed(TreeNode* node)
 {
-    if (d->nodeToItem.tqcontains(node))
+    if (d->nodeToItem.contains(node))
     {
         TQListViewItem* item = d->nodeToItem[node];
         d->nodeToItem.remove(node);
diff --git a/akregator/src/speechclient.cpp b/akregator/src/speechclient.cpp
index b0fc92c92..8665213d9 100644
--- a/akregator/src/speechclient.cpp
+++ b/akregator/src/speechclient.cpp
@@ -135,7 +135,7 @@ void SpeechClient::slotAbortJobs()
 ASYNC SpeechClient::textRemoved(const TQCString& /*appId*/, uint jobNum)
 {
     kdDebug() << "SpeechClient::textRemoved() called" << endl;
-    if (d->pendingJobs.tqcontains(jobNum))
+    if (d->pendingJobs.contains(jobNum))
     {
         d->pendingJobs.remove(jobNum);
         if (d->pendingJobs.isEmpty())
diff --git a/akregator/src/storagedummyimpl.cpp b/akregator/src/storagedummyimpl.cpp
index e8d5c4c01..393be7d14 100644
--- a/akregator/src/storagedummyimpl.cpp
+++ b/akregator/src/storagedummyimpl.cpp
@@ -100,12 +100,12 @@ bool StorageDummyImpl::rollback()
 
 int StorageDummyImpl::unreadFor(const TQString &url)
 {
-    return d->feeds.tqcontains(url) ? d->feeds[url].unread : 0;
+    return d->feeds.contains(url) ? d->feeds[url].unread : 0;
 }
 
 void StorageDummyImpl::setUnreadFor(const TQString &url, int unread)
 {
-    if (!d->feeds.tqcontains(url))
+    if (!d->feeds.contains(url))
        d->addEntry(url, unread, unread, 0);
     else
        d->feeds[url].unread = unread;
@@ -113,12 +113,12 @@ void StorageDummyImpl::setUnreadFor(const TQString &url, int unread)
 
 int StorageDummyImpl::totalCountFor(const TQString &url)
 {
-    return d->feeds.tqcontains(url) ? d->feeds[url].totalCount : 0;
+    return d->feeds.contains(url) ? d->feeds[url].totalCount : 0;
 }
 
 void StorageDummyImpl::setTotalCountFor(const TQString &url, int total)
 {
-    if (!d->feeds.tqcontains(url))
+    if (!d->feeds.contains(url))
        d->addEntry(url, 0, total, 0);
     else
        d->feeds[url].totalCount = total;
@@ -126,12 +126,12 @@ void StorageDummyImpl::setTotalCountFor(const TQString &url, int total)
 
 int StorageDummyImpl::lastFetchFor(const TQString& url)
 {
-    return d->feeds.tqcontains(url) ? d->feeds[url].lastFetch : 0;
+    return d->feeds.contains(url) ? d->feeds[url].lastFetch : 0;
 }
 
 void StorageDummyImpl::setLastFetchFor(const TQString& url, int lastFetch)
 {
-    if (!d->feeds.tqcontains(url))
+    if (!d->feeds.contains(url))
        d->addEntry(url, 0, 0, lastFetch);
     else 
        d->feeds[url].lastFetch = lastFetch;
@@ -143,7 +143,7 @@ void StorageDummyImpl::slotCommit()
 
 FeedStorage* StorageDummyImpl::archiveFor(const TQString& url)
 {
-    if (!d->feeds.tqcontains(url))
+    if (!d->feeds.contains(url))
         d->feeds[url].feedStorage = new FeedStorageDummyImpl(url, this);
 
     return d->feeds[url].feedStorage;
diff --git a/akregator/src/storagefactoryregistry.cpp b/akregator/src/storagefactoryregistry.cpp
index 608c05b17..50fb6005d 100644
--- a/akregator/src/storagefactoryregistry.cpp
+++ b/akregator/src/storagefactoryregistry.cpp
@@ -70,7 +70,7 @@ StorageFactory* StorageFactoryRegistry::getFactory(const TQString& typestr)
 
 bool StorageFactoryRegistry::containsFactory(const TQString& typestr) const
 {
-    return d->map.tqcontains(typestr);
+    return d->map.contains(typestr);
 }
 
 TQStringList StorageFactoryRegistry::list() const
diff --git a/akregator/src/tabwidget.cpp b/akregator/src/tabwidget.cpp
index 60ba42b3f..cbd7e737a 100644
--- a/akregator/src/tabwidget.cpp
+++ b/akregator/src/tabwidget.cpp
@@ -218,7 +218,7 @@ void TabWidget::setTitle( const TQString &title , TQWidget* sender)
         newTitle = newTitle.left( newMaxLength-3 ) + "...";
     }
 
-    newTitle.tqreplace( '&', "&&" );
+    newTitle.replace( '&', "&&" );
     if ( tabLabel( sender ) != newTitle )
         changeTab( sender, newTitle );
 
@@ -235,7 +235,7 @@ void TabWidget::setTitle( const TQString &title , TQWidget* sender)
                 newTitle = newTitle.left( newMaxLength-3 ) + "...";
             }
 
-            newTitle.tqreplace( '&', "&&" );
+            newTitle.replace( '&', "&&" );
             if ( newTitle != tabLabel( page( i ) ) )
                     changeTab( page( i ), newTitle );
         }
@@ -298,8 +298,8 @@ void TabWidget::slotCloseTab()
         d->currentItem = currentPage();
     if (indexOf(d->currentItem) == 0) 
         return;
-    if (d->frames.tqfind(d->currentItem) != NULL)
-        removeFrame(d->frames.tqfind(d->currentItem));
+    if (d->frames.find(d->currentItem) != NULL)
+        removeFrame(d->frames.find(d->currentItem));
     delete d->currentItem;
     d->currentItem = 0;
 }
@@ -323,8 +323,8 @@ void TabWidget::initiateDrag(int tab)
 
 void TabWidget::slotCloseRequest(TQWidget* widget)
 {
-    if (d->frames.tqfind(widget) != NULL)
-        removeFrame(d->frames.tqfind(widget));
+    if (d->frames.find(widget) != NULL)
+        removeFrame(d->frames.find(widget));
 }
 } // namespace Akregator
 
diff --git a/akregator/src/tagnode.cpp b/akregator/src/tagnode.cpp
index 35c720724..24d81755a 100644
--- a/akregator/src/tagnode.cpp
+++ b/akregator/src/tagnode.cpp
@@ -196,7 +196,7 @@ void TagNode::slotArticlesAdded(TreeNode* node, const TQValueList<Article>& list
     bool added = false;
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
-        if (!d->articles.tqcontains(*it) && d->filter.matches(*it))
+        if (!d->articles.contains(*it) && d->filter.matches(*it))
         {
             d->articles.append(*it);
             d->addedArticlesNotify.append(*it);
@@ -216,7 +216,7 @@ void TagNode::slotArticlesUpdated(TreeNode* node, const TQValueList<Article>& li
     bool updated = false;
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
-        if (d->articles.tqcontains(*it))
+        if (d->articles.contains(*it))
         {
             if (!d->filter.matches(*it)) // articles is in list, but doesn't match our criteria anymore -> remove it
 	    {
@@ -252,7 +252,7 @@ void TagNode::slotArticlesRemoved(TreeNode* node, const TQValueList<Article>& li
     bool removed = false;
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
-        if (d->articles.tqcontains(*it))
+        if (d->articles.contains(*it))
         {
             d->articles.remove(*it);
             d->removedArticlesNotify.append(*it);
diff --git a/akregator/src/tagnode.h b/akregator/src/tagnode.h
index 8598a8a24..ebdf15a00 100644
--- a/akregator/src/tagnode.h
+++ b/akregator/src/tagnode.h
@@ -76,7 +76,7 @@ public:
     virtual int totalCount() const;
 
     
-    /** Returns a sequence of the articles this node tqcontains. For feed groups, this returns a concatenated list of all articles in the sub tree.
+    /** Returns a sequence of the articles this node contains. For feed groups, this returns a concatenated list of all articles in the sub tree.
     If @c tag is not null, only articles tagged with @c tag are returned
     @return sequence of articles */
     
diff --git a/akregator/src/tagnodelist.cpp b/akregator/src/tagnodelist.cpp
index ba531d038..cf87b7707 100644
--- a/akregator/src/tagnodelist.cpp
+++ b/akregator/src/tagnodelist.cpp
@@ -158,7 +158,7 @@ void TagNodeList::slotNodeRemoved(Folder* tqparent, TreeNode* node)
 
 bool TagNodeList::containsTagId(const TQString& tagId)
 {
-    return d->tagIdToNodeMap.tqcontains(tagId);
+    return d->tagIdToNodeMap.contains(tagId);
 }
 
 TQValueList<TagNode*> TagNodeList::toList() const
diff --git a/akregator/src/tagset.cpp b/akregator/src/tagset.cpp
index 1be7f952e..a6b412856 100644
--- a/akregator/src/tagset.cpp
+++ b/akregator/src/tagset.cpp
@@ -54,7 +54,7 @@ TagSet::~TagSet()
 
 void TagSet::insert(const Tag& tag)
 {
-    if (!d->map.tqcontains(tag.id()))
+    if (!d->map.contains(tag.id()))
     {
         d->map.insert(tag.id(), tag);
         tag.addedToTagSet(this);
@@ -64,7 +64,7 @@ void TagSet::insert(const Tag& tag)
 
 void TagSet::remove(const Tag& tag)
 {
-    if (d->map.tqcontains(tag.id()))
+    if (d->map.contains(tag.id()))
     {
         d->map.remove(tag.id());
         tag.removedFromTagSet(this);
@@ -74,17 +74,17 @@ void TagSet::remove(const Tag& tag)
 
 bool TagSet::containsID(const TQString& id) const
 {
-    return d->map.tqcontains(id);
+    return d->map.contains(id);
 }
 
-bool TagSet::tqcontains(const Tag& tag) const
+bool TagSet::contains(const Tag& tag) const
 {
-    return d->map.tqcontains(tag.id());
+    return d->map.contains(tag.id());
 }
 
 Tag TagSet::findByID(const TQString& id) const
 {
-    return d->map.tqcontains(id) ? d->map[id] : Tag();
+    return d->map.contains(id) ? d->map[id] : Tag();
 }
 
 TQMap<TQString,Tag> TagSet::toMap() const
diff --git a/akregator/src/tagset.h b/akregator/src/tagset.h
index 637fce50f..49b19aed9 100644
--- a/akregator/src/tagset.h
+++ b/akregator/src/tagset.h
@@ -63,8 +63,8 @@ class TagSet : public TQObject
         /** returns the tag set as map ((id, Tag) pairs) */
         TQMap<TQString,Tag> toMap() const;
 
-        /** returns @c true if this set tqcontains @c tag */
-        bool tqcontains(const Tag& tag) const;
+        /** returns @c true if this set contains @c tag */
+        bool contains(const Tag& tag) const;
 
         /** returns @c true if this set contains a tag with a given ID */
         bool containsID(const TQString& id) const;
diff --git a/akregator/src/treenode.cpp b/akregator/src/treenode.cpp
index 27ee2ecae..58e4ae8ea 100644
--- a/akregator/src/treenode.cpp
+++ b/akregator/src/treenode.cpp
@@ -96,7 +96,7 @@ TreeNode* TreeNode::nextSibling() const
     TQValueList<TreeNode*> tqchildren = d->tqparent->tqchildren();
     TreeNode* me = (TreeNode*)this;
         
-    int idx = tqchildren.tqfindIndex(me);
+    int idx = tqchildren.findIndex(me);
     
     return idx+1 < tqchildren.size() ? *(tqchildren.at(idx+1)) : 0L;
 }
@@ -108,7 +108,7 @@ TreeNode* TreeNode::prevSibling() const
     TQValueList<TreeNode*> tqchildren = d->tqparent->tqchildren();
     TreeNode* me = (TreeNode*)this;
     
-    int idx = tqchildren.tqfindIndex(me);
+    int idx = tqchildren.findIndex(me);
     return idx > 0 ? *(d->tqparent->tqchildren().at(idx-1)) : 0L;
 }
 
diff --git a/akregator/src/treenode.h b/akregator/src/treenode.h
index d6c6f860e..b50b050a6 100644
--- a/akregator/src/treenode.h
+++ b/akregator/src/treenode.h
@@ -112,7 +112,7 @@ public:
     virtual void setParent(Folder* tqparent);
     
     
-    /** Returns a sequence of the articles this node tqcontains. For feed groups, this returns a concatenated list of all articles in the sub tree.
+    /** Returns a sequence of the articles this node contains. For feed groups, this returns a concatenated list of all articles in the sub tree.
     If @c tag is not null, only articles tagged with @c tag are returned
     @return sequence of articles */
     
diff --git a/akregator/src/utils.cpp b/akregator/src/utils.cpp
index fb7b0186f..6bc6cf148 100644
--- a/akregator/src/utils.cpp
+++ b/akregator/src/utils.cpp
@@ -30,7 +30,7 @@ namespace Akregator {
 
 TQString Utils::stripTags(const TQString& str)
 {
-    return TQString(str).tqreplace(TQRegExp("<[^>]*>"), "");
+    return TQString(str).replace(TQRegExp("<[^>]*>"), "");
 }
 
 uint Utils::calcHash(const TQString& str)
@@ -48,7 +48,7 @@ TQString Utils::fileNameForUrl(const TQString& url_p)
 {
     TQString url2(url_p);
     
-    url2 = url2.tqreplace("/", "_").tqreplace(":", "_");
+    url2 = url2.replace("/", "_").replace(":", "_");
     
     if (url2.length() > 255)
         url2 = url2.left(200) + TQString::number(Akregator::Utils::calcHash(url2), 16);
diff --git a/akregator/src/viewer.cpp b/akregator/src/viewer.cpp
index 989ff8ae5..4302f0a7e 100644
--- a/akregator/src/viewer.cpp
+++ b/akregator/src/viewer.cpp
@@ -112,7 +112,7 @@ void Viewer::displayInExternalBrowser(const KURL &url, const TQString &mimetype)
    {
        TQString cmd = Settings::externalBrowserCustomCommand();
        TQString urlStr = url.url();
-       cmd.tqreplace(TQRegExp("%u"), urlStr);
+       cmd.replace(TQRegExp("%u"), urlStr);
        KProcess *proc = new KProcess;
        TQStringList cmdAndArgs = KShell::splitArgs(cmd);
        *proc << cmdAndArgs;
@@ -202,7 +202,7 @@ void Viewer::slotPopupMenu(KXMLGUIClient*, const TQPoint& p, const KURL& kurl, c
 void Viewer::slotCopy()
 {
     TQString text = selectedText();
-    text.tqreplace( TQChar( 0xa0 ), ' ' );
+    text.replace( TQChar( 0xa0 ), ' ' );
     TQClipboard *cb = TQApplication::tqclipboard();
     disconnect( cb, TQT_SIGNAL( selectionChanged() ), this, TQT_SLOT( slotClearSelection() ) );
     cb->setText(text);
diff --git a/certmanager/certificateinfowidgetimpl.cpp b/certmanager/certificateinfowidgetimpl.cpp
index 9067672e2..b661eeeda 100644
--- a/certmanager/certificateinfowidgetimpl.cpp
+++ b/certmanager/certificateinfowidgetimpl.cpp
@@ -155,7 +155,7 @@ void CertificateInfoWidgetImpl::setKey( const GpgME::Key & key  ) {
 
   for ( Kleo::DN::const_iterator dnit = dn.begin() ; dnit != dn.end() ; ++dnit ) {
 	TQString displayName = (*dnit).name();
-	if( dnComponentNames.tqcontains(displayName) ) displayName = dnComponentNames[displayName];
+	if( dnComponentNames.contains(displayName) ) displayName = dnComponentNames[displayName];
 	item = new TQListViewItem( listView, item, displayName, (*dnit).value() );
   }
 
diff --git a/certmanager/certificatewizardimpl.cpp b/certmanager/certificatewizardimpl.cpp
index 89f4d66eb..4924cd0b2 100644
--- a/certmanager/certificatewizardimpl.cpp
+++ b/certmanager/certificatewizardimpl.cpp
@@ -391,7 +391,7 @@ void CertificateWizardImpl::slotURLSelected( const TQString& _url )
   // The application/pkcs10 mimetype didn't have a native extension,
   // so the filedialog didn't have the checkbox for auto-adding it.
   TQString fileName = url.fileName();
-  int pos = fileName.tqfindRev( '.' );
+  int pos = fileName.findRev( '.' );
   if ( pos < 0 ) // no extension
     url.setFileName( fileName + ".p10" );
 #endif
diff --git a/certmanager/certmanager.cpp b/certmanager/certmanager.cpp
index 2ebe66a6a..7c80966a8 100644
--- a/certmanager/certmanager.cpp
+++ b/certmanager/certmanager.cpp
@@ -363,8 +363,8 @@ void CertManager::createActions() {
   mComboAction = new ComboAction( lst, actionCollection(), TQT_TQOBJECT(this), TQT_SLOT( slotToggleRemote(int) ),
                                   "location_combo_action", mNextFindRemote? 1 : 0 );
 
-  mFindAction = new KAction( i18n("Find"), "tqfind", 0, TQT_TQOBJECT(this), TQT_SLOT(slotSearch()),
-			     actionCollection(), "tqfind" );
+  mFindAction = new KAction( i18n("Find"), "find", 0, TQT_TQOBJECT(this), TQT_SLOT(slotSearch()),
+			     actionCollection(), "find" );
 
   KStdAction::keyBindings( TQT_TQOBJECT(this), TQT_SLOT(slotEditKeybindings()), actionCollection() );
   KStdAction::preferences( TQT_TQOBJECT(this), TQT_SLOT(slotShowConfigurationDialog()), actionCollection() );
@@ -745,7 +745,7 @@ void CertManager::slotStartCertificateDownload( const TQString& fingerprint, con
 
 TQString CertManager::displayNameForJob( const Kleo::Job *job )
 {
-  JobsDisplayNameMap::iterator it = mJobsDisplayNameMap.tqfind( job );
+  JobsDisplayNameMap::iterator it = mJobsDisplayNameMap.find( job );
   TQString displayName;
   if ( it != mJobsDisplayNameMap.end() ) {
     displayName = *it;
diff --git a/certmanager/conf/dirservconfigpage.cpp b/certmanager/conf/dirservconfigpage.cpp
index 61a427d80..e95089d8e 100644
--- a/certmanager/conf/dirservconfigpage.cpp
+++ b/certmanager/conf/dirservconfigpage.cpp
@@ -235,7 +235,7 @@ void DirectoryServicesConfigurationPage::save()
   KURL::List::const_iterator end = toAdd.end();
   for( ; it != end; ++it ) {
     // check if the URL is already in currentList
-    if ( currentList.tqfind( *it ) == currentList.end() )
+    if ( currentList.find( *it ) == currentList.end() )
       // if not, add it
       currentList.append( *it );
   }
diff --git a/certmanager/kleopatraui.rc b/certmanager/kleopatraui.rc
index 786ae1a35..d07e08b85 100644
--- a/certmanager/kleopatraui.rc
+++ b/certmanager/kleopatraui.rc
@@ -52,7 +52,7 @@
 	<Action name="label_action" />
 	<Action name="query_lineedit_action" />
 	<Action name="location_combo_action" />
-	<Action name="tqfind" />
+	<Action name="find" />
 </ToolBar>
 
 <Menu name="listview_popup">
diff --git a/certmanager/lib/backends/qgpgme/gnupgprocessbase.cpp b/certmanager/lib/backends/qgpgme/gnupgprocessbase.cpp
index d179aa953..b1d55ac98 100644
--- a/certmanager/lib/backends/qgpgme/gnupgprocessbase.cpp
+++ b/certmanager/lib/backends/qgpgme/gnupgprocessbase.cpp
@@ -158,7 +158,7 @@ void Kleo::GnuPGProcessBase::parseStatusOutput() {
   static const int startTokenLen = sizeof startToken / sizeof *startToken - 1;
 
   int lineStart = 0;
-  for ( int lineEnd = d->statusBuffer.tqfind( '\n' ) ; lineEnd >= 0 ; lineEnd = d->statusBuffer.tqfind( '\n', lineStart = lineEnd+1 ) ) {
+  for ( int lineEnd = d->statusBuffer.find( '\n' ) ; lineEnd >= 0 ; lineEnd = d->statusBuffer.find( '\n', lineStart = lineEnd+1 ) ) {
     // get next line:
     const TQCString line = d->statusBuffer.mid( lineStart, lineEnd - lineStart ).stripWhiteSpace();
     if ( line.isEmpty() )
@@ -179,7 +179,7 @@ void Kleo::GnuPGProcessBase::parseStatusOutput() {
     TQString cmd;
     TQStringList args;
     int tagStart = 0;
-    for ( int tagEnd = command.tqfind( ' ' ) ; tagEnd >= 0 ; tagEnd = command.tqfind( ' ', tagStart = tagEnd+1 ) ) {
+    for ( int tagEnd = command.find( ' ' ) ; tagEnd >= 0 ; tagEnd = command.find( ' ', tagStart = tagEnd+1 ) ) {
       const TQCString tag = command.mid( tagStart, tagEnd - tagStart );
       if ( cmd.isNull() )
 	cmd = fromHexEscapedUtf8( tag );
